## opam-0install-cudf 0.5.0

=== Makefile ===
.PHONY: all test

all:
	dune build

test:
	dune test

=== debian/changelog ===
opam-0install-cudf (0.5.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:20:35 +0100

opam-0install-cudf (0.5.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2024 23:49:27 +0200

opam-0install-cudf (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage and debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 16 Aug 2024 21:55:05 +0200

opam-0install-cudf (0.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #1076365)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Jul 2024 20:24:09 +0200

=== debian/control ===
Source: opam-0install-cudf
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libcudf-ocaml-dev,
 lib0install-solver-ocaml-dev,
 libalcotest-ocaml-dev <!nocheck>,
 dh-ocaml (>= 2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/ocaml-opam/opam-0install-cudf
Vcs-Browser: https://salsa.debian.org/ocaml-team/opam-0install-cudf
Vcs-Git: https://salsa.debian.org/ocaml-team/opam-0install-cudf.git

Package: libopam-0install-cudf-ocaml-dev
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: Opam solver using 0install backend using the CUDF interface (dev)
 Opam's default solver is designed to maintain a set of packages over
 time, minimising disruption when installing new programs and finding
 a compromise solution across all packages.
 .
 In many situations (e.g. CI, local roots or duniverse builds) this is
 not necessary, and we can get a solution much faster by using a
 different algorithm.
 .
 This package uses 0install's solver algorithm with opam packages
 using the CUDF interface.
 .
 This package contains the development files.

Package: libopam-0install-cudf-ocaml
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: Opam solver using 0install backend using the CUDF interface (runtime)
 Opam's default solver is designed to maintain a set of packages over
 time, minimising disruption when installing new programs and finding
 a compromise solution across all packages.
 .
 In many situations (e.g. CI, local roots or duniverse builds) this is
 not necessary, and we can get a solution much faster by using a
 different algorithm.
 .
 This package uses 0install's solver algorithm with opam packages
 using the CUDF interface.
 .
 This package contains the runtime files.
